# Uses of Interface
org.eclipse.jface.action.IMenuListener2

Packages that use IMenuListener2
Package
Description
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.jface.internal
org.eclipse.ui.internal

## Uses of IMenuListener2 in org.eclipse.e4.ui.workbench.renderers.swt

Classes in org.eclipse.e4.ui.workbench.renderers.swt that implement IMenuListener2
Modifier and Type
Class
Description
`class`
`MenuManagerHideProcessor`
`MenuManagerHideProcessor` provides hooks for renderer processing before and after the `MenuManager` calls out to its `IMenuManagerListener2` for the `menuAboutToHide` events.
`class`
`MenuManagerShowProcessor`
`MenuManagerShowProcessor` provides hooks for renderer processing before and after the `MenuManager` calls out to its `IMenuManagerListener2` for the `menuAboutToShow` events.

## Uses of IMenuListener2 in org.eclipse.jface.internal

Methods in org.eclipse.jface.internal that return IMenuListener2
Modifier and Type
Method
Description
`IMenuListener2`
MenuManagerEventHelper.`getHideHelper()`
`IMenuListener2`
MenuManagerEventHelper.`getShowHelper()`
Methods in org.eclipse.jface.internal with parameters of type IMenuListener2
Modifier and Type
Method
Description
`void`
MenuManagerEventHelper.`setHideHelper(IMenuListener2 hideHelper)`
Uses IMenuListener2 to do some processing before (menuAboutToShow) and after (menuAboutToHide) the SWT.Hide event.
`void`
MenuManagerEventHelper.`setShowHelper(IMenuListener2 showHelper)`
Uses IMenuListener2 to do some processing before (menuAboutToShow) and after (menuAboutToHide) the SWT.Show event.

## Uses of IMenuListener2 in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IMenuListener2
Modifier and Type
Class
Description
`class`
`PopupMenuExtender`
This class extends a single popup menu